%define	fontdir		%{_datadir}/fonts/ja/TrueType

Summary:	The Decoration TrueType Fonts
Name:		decoration-fonts
Version:	0.1
Release:	b1
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Source:		%{name}-%{version}.tar.bz2

%description
This package provides the Decoration TrueType fonts.

%prep
%setup -q

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{fontdir}

# "touch" all files we've got flagged as %ghost  but which are not
# present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi

%files
%defattr(0644,root,root,0755)
%dir %{fontdir}
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.cache-1


## change log

%changelog
* Fri Nov 11 2011 Yuichiro Nakada <berry@rberry.co.cc> - 0.1
- Added mplus-1p-regular.ttf instead of mplus-1m-regular.ttf
- cinecaption227.ttf and COM4FBL?.TTF
* Mon Nov 17 2008 Yuichiro Nakada <berry@po.yui.mine.nu> - 0.02
- Added mplus-1m-regular.ttf
* Mon Aug 28 2006 Yuichiro Nakada <berry@po.yui.mine.nu> - 0.01
- Create for Berry Linux
